Garmin Communicator Plug-in Fix – Redo April 7 2017

It would appear that Firefox has killed my previous fix to the Garmin Communicator Plug-in fix dated November 5 2016.

I ask you to read this whole page BEFORE you attempt this. Make sure you feel comfortable doing this. I accept no responsibility for what may happen. Each computer is different and once in a blue moon things go sideways.

There is another work around to this that I have found and tried and it does work. Now I have to warn you this fix could leave you open to unauthorized Plug-ins being installed in Firefox.
If you are willing to try it, then follow my instructions and the Garmin Plug-in will work once again. The downside is Firefox says they will close this fix in early 2018.

Firefox has a version of Firefox called Firefox Extended Support Release (ESR). This version allows to make a minor change to the config file to allow the Garmin Plug-in to install. This version will update as per normal but it will be the ESR version. The current version is 52.0.2 as of today.
You need to download the latest Firefox ESR version from here.
Select your language and download the Windows version. Do not download the 64 bit version even if you have a 64 bit computer because this fix will not work with the 64 bit version. The 32 bit browser will work on 64 bit computers.
Once downloaded please locate the location and install the Firefox ESR version.
I found all bookmarks etc. will be moved over to this version.

Once you have installed the browser you can open it.

– Once open type this into the URL box about:config
– You will get a warning saying “this might void your warranty” Click “I accept the risk”.

I should add that clicking on any photo in my blog will show you a larger version of the photo so you can see it better. Using the back arrow will return you to the Blog.

– When the page opens you will see this:


All the config information is now listed on this page.

You will now need top scroll down to xpinstall.signatures.required

Note the value on the far right says “true” We now need to change that value to “false” by highlighting the line as above by clicking on it. Depending on how your computer/mouse is set-up a single or double click is needed to change this to “false”.

Once you do this it should look like this:


What you have done is told Firefox to allow the installation of the Communicator Plug-in and along with this you have allowed other plug-ins as well. That is why I gave you the warning at the beginning.

Now close the window and the settings have been re-set.

Now open Firefox and you should be able to install the Garmin Plug-in.

As far as I can tell one of two things will happen for those that still had the Plug-in installed before updating to Firefox ESR the plug-in should work by doing this:

In the upper feft corner you should see this.

If you follow that line across you should see this in the upper right corner. Click Allow and another box will popup in the left corner.

This box says Allow and Remember and you need to click that.
Now you should be able to load individual caches to your GPS like below.

Use this step if the above step does not work for you.

You will need to download the Garmin Communicator Plug-in here .

Install it and then follow the directions above.

I hope this helps you get back to having this feature.

I really wish Garmin and Firefox would fix this once and for all.

Any questions just ask.

Advertisements